import type { Handler } from 'express';
import type { Route } from './openapi/express';
import type { HttpMethod } from './types';
export declare class Stash<Value> {
    private stashKey;
    constructor(stashKey: string | symbol);
    find: (route: Route, method: HttpMethod) => Value | null;
    store: (handler: Handler, value: Value) => void;
}
