import type { Request, Response } from 'express';
import type { Schema } from 'zod';
import type { RequestSegment, ResponseSegment } from './types';
export declare function validateRequest(req: Request, spec: Map<RequestSegment, Schema<any> | undefined>, segmentOrder: RequestSegment[]): Promise<void>;
export declare function setupResponseValidation(res: Response, spec: Map<string, {
    [segment in ResponseSegment]?: Schema<any>;
} | undefined>, segmentOrder: ResponseSegment[], next: (err?: unknown) => void): void;
